import Foundation
import App


### Integrated Ship ###


abbrev = 'JJVenture'
iconName = 'JJVenture'
longName = 'JJ Venture Class'
shipFile = 'JJVenture' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.JJVenture = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.JJVenture.fMaxWarp = 9.999
Foundation.ShipDef.JJVenture.fCruiseWarp = 9.0

Foundation.ShipDef.JJVenture.desc = "JJ Univere Venture-class"

if menuGroup:           Foundation.ShipDef.JJVenture.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.JJVenture.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


### Saucer Section ###


abbrev = 'JJVentureSaucer'
iconName = 'JJVentureSaucer'
longName = 'JJ Venture Saucer'
shipFile = 'JJVentureSaucer' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.JJVentureSaucer = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.JJVentureSaucer.desc = "JJ Universe Venture-class Saucer Section"

if menuGroup:           Foundation.ShipDef.JJVentureSaucer.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.JJVentureSaucer.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


### Stardrive Section ###


abbrev = 'JJVentureStardrive'
iconName = 'JJVentureStardrive'
longName = 'JJ Venture Engineering'
shipFile = 'JJVentureStardrive' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.JJVentureStardrive = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.JJVenture.fMaxWarp = 9.999
Foundation.ShipDef.JJVenture.fCruiseWarp = 9.0

Foundation.ShipDef.JJVentureStardrive.desc = "JJ Universe Venture-class Stardrive Section"

if menuGroup:           Foundation.ShipDef.JJVentureStardrive.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.JJVentureStardrive.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


